Package org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQL11UpdateComplianceTest

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest
  - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQL11UpdateComplianceTest

-     public abstract class SPARQL11UpdateComplianceTest
      extends SPARQLComplianceTest

  A test suite that runs the W3C Approved SPARQL 1.1 update compliance tests.
  Author:
    Jeen Broekstra
  See Also:
    sparql docs tests

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Repository` | `expectedResultRepo` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQL11UpdateComplianceTest​(String displayName, String testURI, String name, String requestFile, IRI defaultGraphURI, Map<String,​IRI> inputNamedGraphs, IRI resultDefaultGraphURI, Map<String,​IRI> resultNamedGraphs)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Collection<Object[]>` | `data()` |
    `protected Repository` | `getDataRepository()` |
    `protected abstract Repository` | `newRepository()` |
    `protected void` | `runTest()` |
    `void` | `setUp()` |
    `void` | `tearDown()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest

      `addIgnoredTest, compareGraphs, getDisplayName, getIgnoredTests, getName, getTestURI, includeSubManifest, printBindingSet, setIgnoredTests, test, upload, uploadDataset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### expectedResultRepo

          protected Repository expectedResultRepo

  - ### Constructor Detail

    - #### SPARQL11UpdateComplianceTest

          public SPARQL11UpdateComplianceTest​(String displayName,
                                              String testURI,
                                              String name,
                                              String requestFile,
                                              IRI defaultGraphURI,
                                              Map<String,​IRI> inputNamedGraphs,
                                              IRI resultDefaultGraphURI,
                                              Map<String,​IRI> resultNamedGraphs)

  - ### Method Detail

    - #### data

          public static Collection<Object[]> data()

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### getDataRepository

          protected Repository getDataRepository()

      Specified by:
        `getDataRepository` in class `SPARQLComplianceTest`

    - #### runTest

          protected void runTest()
                          throws Exception

      Specified by:
        `runTest` in class `SPARQLComplianceTest`
      Throws:
        `Exception`